﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace DrumPadDemo
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class MainPage : ContentPage
    {
        enum DrumType
        {
            TomTom,
            Snare,
            Bass,
            HiHat
        }

        public MainPage()
        {
            InitializeComponent();
            btnPlayBass.Clicked += (s, e) => OnDrumButton(DrumType.Bass);
            btnPlaySnare.Clicked += (s, e) => OnDrumButton(DrumType.Snare);
            btnPlayTomTom.Clicked += (s, e) => OnDrumButton(DrumType.TomTom);
            btnPlayHiHat.Clicked += (s, e) => OnDrumButton(DrumType.HiHat);
        }

        async void OnDrumButton(DrumType drumType)
        {
            string audioFile = "";
            switch (drumType)
            {
                case DrumType.Bass:
                    audioFile = "drum/bd1.wav";
                    break;
                case DrumType.Snare:
                    audioFile = "drum/sd1.wav";
                    break;
                case DrumType.TomTom:
                    audioFile = "drum/tt1.wav";
                    break;
                case DrumType.HiHat:
                    audioFile = "drum/hh1.wav";
                    break;
            }
            await DependencyService.Get<IAudioPlayer>().PlayAudioFile(audioFile);
        }
    }
}